%define realname vlan
Name: %realname-utils24
Version: 1.6
Release: alt1

Summary: Utilities for controlling VLANs
License: GPL
Group: System/Kernel and hardware
Url: http://www.candelatech.com/~greear/vlan.html

Source: %url/%realname.%version.tar.bz2
Patch: vlan-1.6-alt-makefile.patch

PreReq: initscripts >= 0:5.49-ipl37mdk
Provides: vlan-utils = %version
Obsoletes: vlan-utils

BuildPreReq: kernel24-headers

%description
Virtual networking refers to the ability of switches and routers to
configure logical topologies on top of the physical network
infrastructure, allowing any arbitrary collection of LAN segments
within a network to be combined into an autonomous user group,
appearing as a single LAN.

This package implement support (along with the kernel patch) :
+ Implements 802.1Q VLAN spec.
+ Can support up to 4094 VLANs per ethernet interface.
+ Scales well in critical paths: O(n), where n is the number of
  PHYSICAL ethernet interfaces, and that is only on ingress.
  O(1) in every other critical path, as far as I know.
+ Supports MULTICAST.
+ Can change MAC address of VLAN.
+ Multiple naming conventions supported, and adjustable at runtime.
+ Optional header-reordering, to make the VLAN interface look JUST
  LIKE an Ethernet interface.  This fixes some problems with DHCPd
  and anything else that uses a SOCK_PACKET socket. Default setting
  is off, which works for every other protocol, and is slightly faster.

%prep
%setup -q -n %realname
%patch -p1

%build
%make_build

%install
%__install -pD -m755 vconfig %buildroot%_bindir/vconfig24
%__install -p -m755 vlan_test.pl %buildroot%_bindir/vlan-test24

%post
/usr/sbin/update-alternatives --install %_bindir/vconfig vconfig %_bindir/vconfig24 24

%preun
if [ $1 = 0 ]; then
        /usr/sbin/update-alternatives --remove vconfig %_bindir/vconfig24
fi

%triggerpostun -- vlan-utils
/etc/rc.d/scripts/vconfig-update ||:

%files
%_bindir/*
%doc CHANGELOG README vlan.html 

%changelog
* Fri Dec 06 2002 Dmitry V. Levin <ldv@altlinux.org> 1.6-alt1
- Updated to 1.6, updated makefile patch.

* Fri Feb 22 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.5-alt2
- Fix build with kernel24-headers.

* Tue Jan 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.5-alt1
- Renamed to vlan-utils24.

* Fri Jan 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.5-alt1
- 1.5

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.3-alt1
- Initial revision.
